package com.persagy.adm.diagram.service;

import com.persagy.adm.diagram.entity.IconEntity;

import java.util.List;

/**
 * 图标服务
 *
 * @author liyang
 * @date 2022-01-06
 */
public interface IconService {

    /**
     * 图标保存
     *
     * @param entity 图标对象信息
     * @return
     */
    IconEntity saveIcon(IconEntity entity);

    /**
     * 根据id获取数据信息
     *
     * @param iconId
     * @return
     */
    IconEntity getIconInfo(String iconId);

    /**
     * 根据图例id获取所有图标
     *
     * @param legendId 图例id
     * @param skin     图例皮肤
     * @return
     */
    IconEntity getIconsByLegendId(String legendId, String skin);

    /**
     * 获取所有图标
     *
     * @return
     */
    List<IconEntity> getIcons();

    /**
     * 根据系统类型获取所有图标
     *
     * @param system 系统类型
     * @return
     */
    List<IconEntity> getIconsBySystemType(String system);
}
